Subject: Re: netif_rx packet dumping

From: cliff white <[email-masked]>
Date: Tue, 22 Mar 2005 13:55:33 -0800

On Tue, 08 Mar 2005 15:56:04 +0000
Baruch Even <[email-masked]> wrote:

> jamal wrote:
> > On Fri, 2005-03-04 at 03:47, Baruch Even wrote:
> > 
> >>jamal wrote:
> > 
> > 
[snip]
> 
> > So if i was you i would repeat 1.2 with the fix from 1.1 as well as
> > tying the NIC to one CPU. And it would be a good idea to present more
> > detailed results - not just tcp windows fluctuating (you may not need
> > them for the paper, but would be useful to see for debugging purposes
> > other parameters).
> 
> I'd be happy to hear what other benchmarks you would like to see, I 
> currently intend to add some ack processing time analysis and oprofile 
> information. With possibly showing the size of the ingress queue as a 
> measure as well.
> 
> Making it as thorough as possible is one of my goals. Input is always 
> welcome.

I am collecting network benchmarks/test in hope of doing some testing here at OSDL.
Would love to run your benchmark, if you wished to share.
cliffw

> Baruch

-- 
"Ive always gone through periods where I bolt upright at four in the morning; 
now at least theres a reason." -Michael Feldman